XnStringsKeyTranslator Class Reference

`#include <XnStringsHash.h>`

## Static Public Member Functions

static XnValue | CreateValueCopy (const XnChar *const &orig)
static void | FreeValue (XnValue &Value)
static XnValue | GetAsValue (const XnChar *const &orig)
static const XnChar *const & | GetFromValue (const XnValue &Value)
static const XnChar *& | GetFromValue (XnValue &Value)

## Member Function Documentation

## CreateValueCopy()

XnValue XnStringsKeyTranslator::CreateValueCopy | ( | const XnChar *const & | orig | ) |

inline static

## FreeValue()

void XnStringsKeyTranslator::FreeValue | ( | XnValue & | Value | ) |

inline static

## GetAsValue()

XnValue XnStringsKeyTranslator::GetAsValue | ( | const XnChar *const & | orig | ) |

inline static

## GetFromValue() [1/2]

const XnChar *const & XnStringsKeyTranslator::GetFromValue | ( | const XnValue & | Value | ) |

inline static

## GetFromValue() [2/2]

const XnChar *& XnStringsKeyTranslator::GetFromValue | ( | XnValue & | Value | ) |

inline static

The documentation for this class was generated from the following file:

- XnStringsHash.h